#
# spec file for package fuse (Version 2.4.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         fuse
Summary:      User space filesystem
Version:      2.5.2
Release:      3
License:      GPL, LGPL
Group:        System/Filesystems
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.diff
URL:          http://fuse.sf.net/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

Distribution:   SuSE SLES-9 (%{_arch}) Addon
Packager:       Matthias G. Eckermann <mge@suse.de>

%description
With FUSE a userspace program can export a filesystem through the Linux
kernel.

To use fuse you need an additional fuse module, like fuse_kio.

Authors:
--------
    Miklos Szeredi <mszeredi@inf.bme.hu>

%package devel
Summary:      user space filesystem
Group:        System/Filesystems
Requires:     fuse glibc-devel

%description devel
With FUSE a userspace program can export a filesystem through the Linux
kernel.

To use fuse you need an additional fuse module, like fuse_kio.

Authors:
--------
    Miklos Szeredi <mszeredi@inf.bme.hu>

###

%package kernel-source
Summary:      user space filesystem
Group:        System/Filesystems
Requires:     fuse-devel kernel-source gcc

%description kernel-source

With FUSE a userspace program can export a filesystem
through the Linux kernel.

This package contains the kernel source, which has
to be compiled at your system, if the kernel-module
is not there.

Authors:
--------
    Miklos Szeredi <mszeredi@inf.bme.hu>

###

%prep
%setup
%patch
%{?suse_update_config:%{suse_update_config -f}}

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
    --disable-kernel-module \
    --enable-lib \
    --enable-util \
    --enable-example
make

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
make DESTDIR="$RPM_BUILD_ROOT" install
mkdir -p $RPM_BUILD_ROOT/usr/src/kernel-modules/fuse-2.5.2
cp -a kernel $RPM_BUILD_ROOT/usr/src/kernel-modules/fuse-2.5.2/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog FAQ NEWS README*
%{_libdir}/lib*.so.*
# should be 4755, but no security review yet
%attr(0755,root,root) %{_bindir}/fusermount
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d
%{_sysconfdir}/udev/rules.d/40-fuse.rules
/sbin/mount.fuse

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_includedir}/fuse.h
%{_includedir}/fuse
%{_libdir}/pkgconfig/*.pc

%files kernel-source
%defattr(-,root,root)
/usr/src/kernel-modules/fuse-2.5.2/kernel

%changelog -n fuse
* Wed Mar  1 2006 - mge@suse.de
- update to 2.5.2
- add kernel-source
* Wed Nov 23 2005 - mge@suse.de
- build for SLES 9
- update to 2.4.2
* Fri Oct 28 2005 - cthiel@suse.de
- readded -fno-strict-aliasing
* Fri Oct 28 2005 - cthiel@suse.de
- update to version 2.4.1
* Fri Sep 30 2005 - tiwai@suse.de
- fixed CFLAGS to pass RPM_OPT_FLAGS.
- added -fno-strict-aliasing.
* Wed Jun 08 2005 - tiwai@suse.de
- updated to version 2.3.0.
* Tue Feb 03 2004 - adrian@suse.de
- initial package of version 1.1-pre2
